This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 107702 - electricsheep xml file broken
electricsheep xml file broken
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-22 06:11 EDT by Patrick C. F. Ernzer
Modified: 2007-04-18 12:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 04:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2003-10-22 06:11:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
/usr/share/control-center/screensavers/electricsheep.xml is broken.
electricsheep-2.4-1 from http://electricsheep.org contains a non-broken version
that gets dumped to /usr/X11R6/lib/xscreensaver/config/electricsheep.xml.

Version-Release number of selected component (if applicable):
xscreensaver-4.07-2

How reproducible:
Always

Actual Results:  it looks like the beginning of the file is missing.
Comment 1 Ray Strode [halfline] 2005-05-12 11:49:24 EDT
Hi,
I'm going through bugs assigned to me and attempting to clean some of the older,
fixed ones up.

This bug hasn't changed in over a year old now.  Are you still seeing the problem? 

(This a batch message is being sent to all my bugs that haven't changed in a year)
Comment 2 Patrick C. F. Ernzer 2005-05-12 12:11:53 EDT
It would seem so. The current electricsheep RPM actually contains
/usr/share/control-center/screensavers/electricsheep.xml

(hence 'rpm -qf' giving 2 RPMs)

As we do not ship electricsheep, maybe we want to leave the xml file out
altogether? (Optimally of course we would ship electricsheep as it is a very
nice screensaver)

[pcfe@a84-231-51-165 SRPMS]$ rpm -qf
/usr/share/control-center/screensavers/electricsheep.xml
xscreensaver-4.18-4
electricsheep-2.5-1
[pcfe@a84-231-51-165 SRPMS]$ rpm -V xscreensaver
SM5....T.   /usr/share/control-center/screensavers/electricsheep.xml
Comment 3 Bill Nottingham 2006-08-04 23:10:37 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Patrick C. F. Ernzer 2006-08-07 04:16:20 EDT
/usr/X11R6/lib/xscreensaver/config/electricsheep.xml seems to have been dumped
altogether (which resolves the bug)

additionally, electricsheep requires xloadimage which was ditched a while ago
due to security concerns IIRC.

closing bug

Note You need to log in before you can comment on or make changes to this bug.